Bug 719456 - Review Request: edg-gridftp-client - Command line clients to GridFTP libraries
Summary: Review Request: edg-gridftp-client - Command line clients to GridFTP libraries
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-06 22:42 UTC by Steve Traylen
Modified: 2011-09-05 23:33 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-08-28 05:39:50 UTC
steve.traylen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2011-07-06 22:42:22 UTC
Spec URL: http://straylen.web.cern.ch/straylen/rpms/edg-griftp-client/edg-gridftp-client.spec
SRPM URL: http://straylen.web.cern.ch/straylen/rpms/edg-griftp-client/edg-gridftp-client-1.2.9.2-2.fc15.src.rpm

Description:
The edg-gridftp-client package is a thin command line interface on top
of the GridFTP libraries supplied by Globus.  They do, however,
represent a useful set of commands to do basic management of files on
a GridFTP server.

Scratch builds:
rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=3184078
epel4   scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=3184096

rpmlint results:
$ rpmlint *.rpm
edg-gridftp-client.src: W: invalid-url Source0: edg-gridftp-client-1.2.9.2.tar.gz
edg-gridftp-client.src: W: invalid-url Source0: edg-gridftp-client-1.2.9.2.tar.gz
edg-gridftp-client.src: W: invalid-url Source0: edg-gridftp-client-1.2.9.2.tar.gz

which is expected given this is a tarball from RCS.
http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control

Comment 1 Mattias Ellert 2011-08-18 15:03:08 UTC
Fedora review edg-gridftp-client 2011-08-18

+ rpmlint output:

edg-gridftp-client.x86_64: W: spelling-error %description -l en_US mkdir -> mk dir, mk-dir, midiron
edg-gridftp-client.x86_64: W: spelling-error %description -l en_US rmdir -> rm dir, rm-dir, midiron
edg-gridftp-client.src: W: spelling-error %description -l en_US mkdir -> mk dir, mk-dir, midiron
edg-gridftp-client.src: W: spelling-error %description -l en_US rmdir -> rm dir, rm-dir, midiron
edg-gridftp-client.src: W: invalid-url Source0: edg-gridftp-client-1.2.9.2.tar.gz
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

These warnings can be ignored.

+ The package is named according to the guidelines
+ The specfile is named after the package
+ The package's License tag (EU Datagrid) is a Fedora approved license
+ The License tag matches the actual license statements in the sources
+ Package installs LICENSE file as %doc
+ Specfile is written in legible English

+ Source matches upstream (ignoring CVS directories)

diff -ur --exclude CVS checkout/edg-gridftp-client-1.2.9.2 edg-gridftp-client-1.2.9.2
(no output)

+ The package builds in mock (F15 x96_64)
+ BuildRequires are sane
+ no locales
+ no shared libraries
+ no bundled sources
+ no created directories
+ no duplicate %files

Comment: The manpages are normally listed as xxx.1* and not xxx.1.* in the %files section in order to also allow non-compressed files.

+ File permissions are sane
+ Macros are used consistently
+ Package contains code
+ No large documentation files
+ %doc is not runtime essential
+ no headers
+ no static libraries
+ no sub-packages
+ no libtool archives
+ no GUIs
+ Package does not own other's directories
+ Filenames are UTF8


Apart from the comment about the manpages in %files there are no issues.

Package approved.

Comment 2 Steve Traylen 2011-08-18 15:40:27 UTC
New Package SCM Request
=======================
Package Name: edg-gridftp-client
Short Description: Command line clients to GridFTP libraries
Owners: stevetraylen
Branches: f15 f16 el4 el5 el6
InitialCC

Thanks for the review, I'll glob the man page endings before import.

Steve.

Comment 3 Steve Traylen 2011-08-18 15:43:55 UTC
Mattias,
 
  I switched the wrong flag, could your reassign the flag.



Steve

Comment 4 Gwyn Ciesla 2011-08-18 16:02:28 UTC
Git done (by process-git-requests).

Edited request for syntax, let me know if something isn't as expected.

Comment 5 Fedora Update System 2011-08-18 16:41:26 UTC
edg-gridftp-client-1.2.9.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/edg-gridftp-client-1.2.9.2-2.el5

Comment 6 Fedora Update System 2011-08-18 16:41:33 UTC
edg-gridftp-client-1.2.9.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/edg-gridftp-client-1.2.9.2-2.fc15

Comment 7 Fedora Update System 2011-08-18 16:41:40 UTC
edg-gridftp-client-1.2.9.2-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/edg-gridftp-client-1.2.9.2-2.el4

Comment 8 Fedora Update System 2011-08-18 16:41:48 UTC
edg-gridftp-client-1.2.9.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/edg-gridftp-client-1.2.9.2-2.fc16

Comment 9 Fedora Update System 2011-08-18 16:41:56 UTC
edg-gridftp-client-1.2.9.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/edg-gridftp-client-1.2.9.2-2.el6

Comment 10 Fedora Update System 2011-08-18 22:03:59 UTC
edg-gridftp-client-1.2.9.2-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-08-28 05:39:45 UTC
edg-gridftp-client-1.2.9.2-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2011-08-31 01:35:33 UTC
edg-gridftp-client-1.2.9.2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-09-05 23:30:47 UTC
edg-gridftp-client-1.2.9.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-09-05 23:31:35 UTC
edg-gridftp-client-1.2.9.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-09-05 23:33:24 UTC
edg-gridftp-client-1.2.9.2-2.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.